%define	major 1
%define libname %mklibname jbig %{major}
%define develname %mklibname jbig -d

Summary:	The JBIG-KIT
Name:		jbigkit
Version:	2.1
Release:	%mkrel 9
License:	GPL
Group:		System/Libraries
URL:		http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
Patch0:		jbigkit-2.1-shared.diff
Patch1:		CVE-2017-9937-1.patch
Patch2:		CVE-2017-9937-2.patch
BuildRequires:	libtool

%description
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

%package -n	%{libname}
Summary:	The Shared library for The JBIG-KIT
Group:          System/Libraries

%description -n	%{libname}
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

This package provides the shared JBIG-KIT library.

%package -n	%{develname}
Summary:	Static library and header files for development with JBIG-KIT
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libjbig-devel = %{version}-%{release}
Provides:	jbig-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

This package is only needed if you plan to develop or compile applications
which requires the libjbig library.

%prep

%setup -q

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%autopatch -p1

%build
make CFLAGS="%{optflags} -fPIC -DPIC" \
    LDFLAGS="%{ldflags}" prefix=%{_prefix} libdir=%{_libdir}

%check
make test

%install
%make_install prefix=%{_prefix} libdir=%{_libdir}

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%doc ANNOUNCE CHANGES COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc INSTALL TODO pbmtools/*.txt libjbig/*.txt
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Fri Nov 25 2022 ns80 <ns80> 2.1-9.mga9
+ Revision: 1911121
- add patches from Ubuntu for CVE-2017-9937 (mga#31189)

* Wed Mar 16 2022 umeabot <umeabot> 2.1-8.mga9
+ Revision: 1794508
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.1-7.mga8
+ Revision: 1513677
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1-6.mga7
+ Revision: 1298362
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 kekepower <kekepower> 2.1-5.mga7
+ Revision: 1189776
- Rebuild for mga7

* Thu Feb 11 2016 umeabot <umeabot> 2.1-4.mga6
+ Revision: 954861
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 744446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-2.mga5
+ Revision: 680663
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 oden <oden> 2.1-1.mga5
+ Revision: 613025
- 2.1
- rediff P0
- drop the CVE-2013-6369 patch as it's fixed in this version

* Tue Apr 08 2014 luigiwalser <luigiwalser> 2.0-8.mga5
+ Revision: 612910
- add patch from fedora to fix CVE-2013-6369

* Fri Oct 18 2013 umeabot <umeabot> 2.0-7.mga4
+ Revision: 520955
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 fwang <fwang> 2.0-6.mga3
+ Revision: 388169
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 pterjan <pterjan> 2.0-5.mga1
+ Revision: 5554
- Drop obsolete scriptlets
- imported package jbigkit


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-5mdv2011.0
+ Revision: 606077
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-4mdv2010.1
+ Revision: 519825
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - update url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0-3mdv2010.0
+ Revision: 425454
- rebuild

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.1
+ Revision: 335857
- add missing headers

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0-1mdv2009.1
+ Revision: 335817
- 2.0
- rework the shared patch to use libtool
- new major 1

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6-5mdv2009.1
+ Revision: 316438
- use the %%ldflags macro

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6-4mdv2009.1
+ Revision: 316220
- use LDFLAGS from the %%configure macro

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.6-3mdv2009.0
+ Revision: 221709
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.6-2mdv2008.1
+ Revision: 150418
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1.6-1mdv2008.0
+ Revision: 62241
- 1.6
- added P1,P2,P3 from gentoo but adapted P3 a bit


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.5-5mdv2007.0
+ Revision: 122424
- bunzip2 patches.
- Import jbigkit

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.5-4mdk
- Rebuild

* Sat Mar 19 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.5-3mdk
- Backported patches from 1.6 to fix these bugs:
  - various small changes to reduce the risk of 32-bit unsigned
    integer overflows when dealing with extremely large images
  - robuster treatment of L0 = 0xffffffff.
  - minor API modification in jbg_enc_options(): parameter l0 changed
    from type long to unsigned long; previous value now remains
    unchanged when l0 == 0 (was: l0 < 0).

